package br.gov.serpro.cte.email.listar;

import org.junit.Test;

import br.gov.serpro.cte.common.ExpressoMailTestCase;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Nov 16, 2010 at 2:57:35 PM
 * 
 */
public class ListarEmailsImportantesTestCase extends ExpressoMailTestCase {

	/**
	 * Teste quando nao tem nenhum mensagem importante na pasta.
	 * 
	 * @throws Exception
	 */
	// @Test
	// public void testaLerEmailsImportantesSemEmail() throws Exception {
	// super.enterExpressoMail();
	// // Abre uma pasta onde nao existam emails marcados como importante.
	// super.openFolder("lINBOX/Seleniumtree_folders");
	// selenium.click("span_flag_FLAGGED");
	// super.waitForElement("msg_info");
	// assertTrue(getMensagem("pasta.vazia").equals(
	// selenium.getText("msg_info")));
	//
	// }

	@Test
	public void testaLerEmailsImportantes() throws Exception {
		super.enterExpressoMail();
		selenium.click("span_flag_FLAGGED");
		super.waitForElement("//div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[1]/td[1]/input[1]");

		// TODO Deve ter um jeito melhor de fazer isso, mas nao consegui pegar o
		// numero total de mensagens apos filtrar pelas mensagens importantes.
		// Se nao colocar o comando abaixo, ele continua pegando o numero de
		// mensagens totais e nao apenas as importantes.
		super.dummyWait();

		// Busca todos os IDs dos emails apos aplicar o filtro "Importante".
		String[] t = super.getEmailIds();

		boolean ok = true;
		// Verifica se todas as mensagens estao marcadas como "Importante".
		for (int i = 0; i < t.length; i++) {
			if (!super.isImportant(t[i])) {
				ok = false;
				break;
			}

		}
		assertTrue(ok);
	}
}
